{% extends "base.html" %}

{% block content %}
<div style="padding: 40px 80px 40px 80px;">
  <div style="margin-top: 10px;"><span class="subTitle">Term: </span>Spring 2024</div>
  <div style="margin-top: 10px;"><span class="subTitle">Date: </span>01/10/2024 - 04/17/2024</div>
  <div style="margin-top: 10px;"><span class="subTitle">Time: </span>We 3:20 - 5:50 PM</div>
  <div style="margin-top: 10px;"><span class="subTitle">Office Hours: </span>Before and after class and as needed</div>
  <div class="topLine">Structure:</div>
  <div class="line flexLine">
    <div class="circle"></div>3:20 - 4:00 - Class Discussion on Reading
  </div>
  <div class="line flexLine">
    <div class="circle"></div>4:00 - 4:45 - Teach
  </div>
  <div class="line flexLine">
    <div class="circle"></div>4:45 - 5:00 - Break
  </div>
  <div class="line flexLine">
    <div class="circle"></div>5:00 - 6:00 - Lab
  </div>
  <div class="topLine">Course Description:</div>
  <div class="line">This course is designed to give you a
    comprehensive view of cloud computing including Big Data, Machine Learning
    and Large Language Models (LLMS). A variety of learning resources will be used including interactive labs on AWS.
    This is a project-based course with extensive hands-on assignments and the language will be exclusively used.
  </div>
  <div class="topLine">Learning Objectives:</div>
  <div class="line">1. Summarize the fundamentals of cloud computing</div>
  <div class="line">2. Achieve AWS Solutions Architect Certification</div>
  <div class="line">3. Master the Rust language for general programming</div>
  <div class="line">4. Effectively utilize AI Pair Programming</div>
  <div class="line">5. Evaluate the economics of cloud computing</div>
  <div class="line">6. Accurately evaluate distributed computing challenges and opportunities and apply this knowledge
    to real-world projects.</div>
  <div class="line">7. Develop non-linear life-long learning skills</div>
  <div class="line">8. Build, share and present compelling portfolios using: GitLab, Hugging Face, YouTube, Linkedin and
    a personal portfolio website.</div>
  <div class="line">9. Develop <a
      href="https://www.amazon.com/Know-Thyself-Self-Awareness-Stephen-Fleming-ebook/dp/B08F4ZMZQW/">Metacognition
      skills</a> (By teaching we learn)</div>
  <div class="topLine">Core Tech Stack:</div>
  <div class="line flexLine">
    <div class="circle"></div>Rust
  </div>
  <div class="line flexLine">
    <div class="circle"></div>AWS (AWS Learner Labs, Optional Free Tier Account)
  </div>
  <div class="line flexLine">
    <div class="circle"></div>GitLab
  </div>
  <div class="line flexLine">
    <div class="circle"></div>Slack
  </div>
  <div class="line flexLine">
    <div class="circle"></div>AWS Lightsail for Research (GPU)
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://aws.amazon.com/cn/codewhisperer/">CodeWhisperer</a>
  </div>
  <div class="topLine">Communication:</div>
  <div class="line flexLine">
    <div class="circle"></div>Slack
  </div>
  <div class="line flexLine">
    <div class="circle"></div>GitLab
  </div>
  <div class="topLine">Media and Labs:</div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://gitlab.com/dukeaiml">Duke AIML Group GitLab</a>
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://www.oreilly.com/videos/52-weeks-of/080232022VIDEOPAIML/">52 Weeks of
      AWS-The Complete Series</a>
  </div>
  <div class="line flexLine">
    <div class="circle"></div>AWS Academy Labs and Sandboxes
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://aws.amazon.com/cn/lightsail/research/">AWS Lightsail for Research
      (TBD)</a>
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://www.coursera.org/instructor/noahgift">Coursera Courses</a>
  </div>
  <div class="topLine">Reading Material:</div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://www.oreilly.com/library/view/developing-on-aws/9781492095866/">Developing
      on AWS with C#</a>
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a
      href="https://www.oreilly.com/library/view/implementing-mlops-in/9781098136574/">Implementing MLOps in the
      Enterprise</a>
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://www.oreilly.com/library/view/practical-mlops/9781098103002/">Practical
      MLOps</a>
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://www.oreilly.com/library/view/python-for-devops/9781492057680/">Python for
      DevOps</a>
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://rust-book.cs.brown.edu/title-page.html">The Rust Programming Language</a>
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a
      href="https://www.amazon.com/Know-Thyself-Self-Awareness-Stephen-Fleming-ebook/dp/B08F4ZMZQW/">Know Thyself: The
      Science of Self-Awareness</a>
  </div>
  <div class="line flexLine">
    <div class="circle"></div><a href="https://aws.amazon.com/cn/whitepapers/">AWS Whitepapers</a>&nbsp;and
    Certification PPTs
  </div>
</div>
{% endblock content %}